libzypp: zypp::repo::DeltaCandidates Class Reference

libzypp 17.38.11

zypp::repo::DeltaCandidates Class Reference

Candidate delta and patches for a package. More...

`#include <zypp/repo/DeltaCandidates.h>`

## Classes
struct | Impl
| DeltaCandidates implementation. More...

## Public Member Functions
| DeltaCandidates ()
| DeltaCandidates (const DeltaCandidates &)=default
| DeltaCandidates (DeltaCandidates &&) noexcept=default
DeltaCandidates & | operator= (const DeltaCandidates &)=default
DeltaCandidates & | operator= (DeltaCandidates &&) noexcept=default
| DeltaCandidates (std::list< Repository > repos, std::string pkgname="")
| Creates a candidate calculator.
| ~DeltaCandidates ()
| Dtor.
std::list< packagedelta::DeltaRpm > | deltaRpms (const Package::constPtr &package) const

## Private Attributes
RWCOW_pointer< Impl > | _pimpl
| Pointer to implementation.

## Friends
std::ostream & | operator<< (std::ostream &str, const DeltaCandidates &obj)
| relates: DeltaCandidates Stream output

## Detailed Description

Candidate delta and patches for a package.

Basically a container that given N repositories, gets all patches and deltas from them for a given package.

Definition at line 36 of file DeltaCandidates.h.

## Constructor & Destructor Documentation

## ◆ DeltaCandidates() [1/4]

zypp::repo::DeltaCandidates::DeltaCandidates | ( |  | ) |

Definition at line 66 of file DeltaCandidates.cc.

## ◆ DeltaCandidates() [2/4]

zypp::repo::DeltaCandidates::DeltaCandidates | ( | const DeltaCandidates & |  | ) |
| default

## ◆ DeltaCandidates() [3/4]

zypp::repo::DeltaCandidates::DeltaCandidates | ( | DeltaCandidates && |  | ) |
| defaultnoexcept

## ◆ DeltaCandidates() [4/4]

zypp::repo::DeltaCandidates::DeltaCandidates | ( | std::list< Repository > | repos,
|  | std::string | pkgname = "" )

Creates a candidate calculator.

Parameters

  repos | Set of repositories providing patch and delta packages

Definition at line 71 of file DeltaCandidates.cc.

## ◆ ~DeltaCandidates()

zypp::repo::DeltaCandidates::~DeltaCandidates | ( |  | ) |

Dtor.

Definition at line 76 of file DeltaCandidates.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

DeltaCandidates & zypp::repo::DeltaCandidates::operator= | ( | const DeltaCandidates & |  | ) |
| default

## ◆ operator=() [2/2]

DeltaCandidates & zypp::repo::DeltaCandidates::operator= | ( | DeltaCandidates && |  | ) |
| defaultnoexcept

## ◆ deltaRpms()

std::list< DeltaRpm > zypp::repo::DeltaCandidates::deltaRpms | ( | const Package::constPtr & | package | ) | const

Definition at line 79 of file DeltaCandidates.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const DeltaCandidates & | obj )
| friend

relates: DeltaCandidates Stream output

Definition at line 108 of file DeltaCandidates.cc.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<Impl> zypp::repo::DeltaCandidates::_pimpl
| private

Pointer to implementation.

Definition at line 63 of file DeltaCandidates.h.

The documentation for this class was generated from the following files:

- zypp/repo/DeltaCandidates.h
- zypp/repo/DeltaCandidates.cc